fop 1.1

## org.apache.fop.render.java2d
Class ConfiguredFontCollection

    java.lang.Object
      org.apache.fop.render.java2d.ConfiguredFontCollection

All Implemented Interfaces:
  FontCollection

    public class ConfiguredFontCollection

extends java.lang.Object
implements FontCollection

A java2d configured font collection

Constructor Summary
`ConfiguredFontCollection(FontResolver fontResolver, java.util.List customFonts, boolean useComplexScriptFeatures)` Main constructor

Method Summary
`int` `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfiguredFontCollection

    public ConfiguredFontCollection(FontResolver fontResolver,
                                    java.util.List customFonts,
                                    boolean useComplexScriptFeatures)

  Main constructor

  Parameters:
    `fontResolver` - a font resolver
    `customFonts` - the list of custom fonts
    `useComplexScriptFeatures` - true if complex script features enabled

Method Detail

### setup

    public int setup(int start,
                     FontInfo fontInfo)

  Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Specified by:
    `setup` in interface `FontCollection`
  Parameters:
    `start` - the font starting number
    `fontInfo` - the font info to set up
  Returns:
    the starting font number for the next font to be added

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.